﻿
.visually-hidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
    white-space: nowrap; /* Prevents long text from wrapping and becoming visible */
}

.sr-only {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border: 0;
}

.responsive-menu-img {
    max-width: 100%;
    height: auto;
    display: block; /* Removes inline spacing */
}

.menu-th {
    background-color: #FEAC2C; /* Light background */
    color: #333; /* Dark text */
    border: 1px solid #FF9704; /* Slightly darker than background */
    padding: 5px 2px;
    height: auto;
    min-height: 30px;
    width: 120px;
    min-width: 40%;
   /* min-width: 120px;*/
}

    /* Recommended Hover state */
    .menu-th:hover  {
        background-color: #FFDB22; /* A darker, richer orange */
    }

.menu-href {
    /*background-color: #FEAC2C;*/
    font-family: Arial, Helvetica, sans-serif;
    font-size: 0.75em;
    text-align: center;
    text-decoration: none !important;
    padding: 2px, 2px, 2px, 2px;
    color: #000f;
    height: auto;
    display: block; /* Removes inline spacing */
}

    /* Recommended Hover state */
    .menu-href:hover {
        background-color: #FFDB22; /* A darker, richer orange */
    }

.sr-only-focusable:not(:focus) {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0);
    white-space: nowrap;
    border-width: 0;
}

/* Target the caption specifically within your GridView */
.table-with-caption caption {
    /* Apply the sr-only properties here */
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border: 0;
}
